SpringBoardParserInternal::Link Struct Reference

Internal: a structure used to store a link in SpringBoardParserInternal. More...

## Public Member Functions

| Link ()
| constructor
bool | hasText () const
| returns true if the link stores somme text

## Public Attributes

MWAWFont | m_font
| the font
MWAWEntry | m_texts [2]
| the top and bottom text
std::pair< int, int > | m_links [2]
| the next and previous link

## Detailed Description

Internal: a structure used to store a link in SpringBoardParserInternal.

## Constructor & Destructor Documentation

## Link()

SpringBoardParserInternal::Link::Link | ( |  | ) |

inline

constructor

## Member Function Documentation

## hasText()

bool SpringBoardParserInternal::Link::hasText | ( |  | ) | const

inline

returns true if the link stores somme text

## Member Data Documentation

## m_font

MWAWFont SpringBoardParserInternal::Link::m_font

the font

Referenced by Link(), SpringBoardParser::parseData(), and SpringBoardParser::sendLinkShape().

## m_links

std::pair<int, int> SpringBoardParserInternal::Link::m_links[2]

the next and previous link

Referenced by Link(), and SpringBoardParser::parseData().

## m_texts

MWAWEntry SpringBoardParserInternal::Link::m_texts[2]

the top and bottom text

Referenced by hasText(), SpringBoardParser::parseData(), and SpringBoardParser::sendLinkShape().

The documentation for this struct was generated from the following file:

- SpringBoardParser.cxx